Package org.apache.ignite.spi.systemview.view

## Class PartitionStateView

- java.lang.Object
- - org.apache.ignite.spi.systemview.view.PartitionStateView

-     public class PartitionStateView
      extends Object

  Partition state representation for a `SystemView`.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PartitionStateView​(int cacheGrpId, UUID nodeId, int partId, org.apache.ignite.internal.processors.cache.distributed.dht.topology.GridDhtPartitionState state, boolean primary)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `cacheGroupId()` |
    `boolean` | `isPrimary()` |
    `UUID` | `nodeId()` |
    `int` | `partitionId()` |
    `String` | `state()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PartitionStateView

          public PartitionStateView​(int cacheGrpId,
                                    UUID nodeId,
                                    int partId,
                                    org.apache.ignite.internal.processors.cache.distributed.dht.topology.GridDhtPartitionState state,
                                    boolean primary)

      Parameters:
        `cacheGrpId` - Cache group id.
        `nodeId` - Node id.
        `partId` - Partition id.
        `state` - Partition state.
        `primary` - Is primary partition for node.

  - ### Method Detail

    - #### cacheGroupId

          public int cacheGroupId()

      Returns:
        Cache group id.

    - #### nodeId

          public UUID nodeId()

      Returns:
        Node id.

    - #### partitionId

          public int partitionId()

      Returns:
        Partition id.

    - #### state

          public String state()

      Returns:
        Partition state.

    - #### isPrimary

          public boolean isPrimary()

      Returns:
        Is primary partition.